Bug 1004701 - cannot configure operation with camel mail binding in tooling
cannot configure operation with camel mail binding in tooling
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER3
: ---
Assigned To: Brian Fitzpatrick
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 05:48 EDT by Jiri Sedlacek
Modified: 2015-08-02 19:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1687 Major Closed cannot configure operation with camel mail binding in tooling 2014-06-16 19:47:55 EDT

  None (edit)
Description Jiri Sedlacek 2013-09-05 05:48:18 EDT
I'm trying to configure mail binding in switchyard editor, there is no field for specifying which operation should be called, so exception is thrown when more-than-one-operation service is used.
Comment 2 JBoss JIRA Server 2013-09-05 18:02:34 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> updated the status of jira SWITCHYARD-1687 to Coding In Progress
Comment 3 Brian Fitzpatrick 2013-09-06 13:19:47 EDT
@Jiri - Can you attach an example so we can reproduce this?
Comment 4 Brian Fitzpatrick 2013-09-06 16:03:34 EDT
Never mind. I figured it out with some help from Keith and Rob and have a fix in the works. Thanks for your patience folks!
Comment 5 JBoss JIRA Server 2013-09-06 16:06:53 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1687

PR adds the operation selector to the Camel Mail binding composite UI
Comment 6 Brian Fitzpatrick 2013-09-09 15:28:52 EDT
As soon as PR is processed, this can shift to QE
Comment 7 JBoss JIRA Server 2013-09-11 11:17:24 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1687

pushed
Comment 11 Andrej Podhradsky 2013-12-18 05:08:12 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 12 JBoss JIRA Server 2014-06-16 19:47:56 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1687 to Closed

Note You need to log in before you can comment on or make changes to this bug.